std::subtract_with_carry_engine::max(3)

NAME
std::subtract_with_carry_engine::max - std::subtract_with_carry_engine::max

Synopsis
   static constexpr result_type max(); (since C++11)
   Returns the maximum value potentially generated by the random-number engine. This
   value is equal to 2w
   - 1, where w is the template parameter also accessible as static member word_size.

Parameters
   (none)

Return value
   The maximum potentially generated value.

Complexity
   Constant

See also
   min gets the smallest possible value in the output range
   [static] (C++11) (public static member function)